Subject: Re: [PATCH 1/2] pcnet32: only allocate init_block dma consistent

From: Ralf Baechle <[email-masked]>
Date: Wed, 7 Mar 2007 19:22:28 +0000

On Wed, Mar 07, 2007 at 08:35:30AM -0800, Michael K. Edwards wrote:

> >Price question: why would this patch make a difference under VMware? :-)
> 
> Moving the struct pcnet32_private from the GFP_DMA32 init_block to the
> GFP_KERNEL netdev allocation may be a win even on systems where
> GFP_DMA32 is normally cached, because the private area will get read
> ahead into cache when the netdev is touched.

GFP_* flags have no influence on caching or prefetching.

  Ralf